Bug 276560 - Help menu is missing separators
Summary: Help menu is missing separators
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-26 18:02 UTC by Kai Uwe Broulik
Modified: 2011-08-01 16:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2011-06-26 18:02:54 UTC
Version:           unspecified (using Devel) 
OS:                Linux

I just saw a commit in KDE Commit Digets that adds the Change Language and Report Bug entries to the Help menu of Dolphin’s new single menu button.
This particular menu is missing separators inside it like all the other applications have (also rekonq which also sports this compact menu)

Reproducible: Didn't try

Steps to Reproduce:
Why is this field now neccessary?! Eh: Open the menu and open the Help submenu and look at it …

Actual Results:  
The menu goes like:
Dolphin Handbook F1
What’s This? Shift+F1
Report Bug…
Switch Application Language…
About Dolphin
About KDE

Expected Results:  
It should be:
Dolphin Handbook F1
What’s This? Shift+F1
--------------------
Report Bug…
--------------------
Switch Application Language…
--------------------
About Dolphin
About KDE
Comment 1 Kai Uwe Broulik 2011-08-01 16:31:16 UTC
Git commit 68c5389eb80539f87bae84f2faad907ff51d09fc by Kai Uwe Broulik.
Committed on 01/08/2011 at 18:26.
Pushed by broulik into branch 'master'.

Add missing separators to the "Help" sub-menu of Dolphin's menubar replacement like all KDE apps have

BUG: 276560

M  +3    -0    dolphin/src/dolphinmainwindow.cpp

http://commits.kde.org/kde-baseapps/68c5389eb80539f87bae84f2faad907ff51d09fc

-----

Git commit 9983598790507e2ef67eb777a529d75d00335c5f by Kai Uwe Broulik.
Committed on 01/08/2011 at 18:26.
Pushed by broulik into branch 'KDE/4.7'.

Add missing separators to the "Help" sub-menu of Dolphin's menubar replacement like all KDE apps have

BUG: 276560
(cherry picked from commit 68c5389eb80539f87bae84f2faad907ff51d09fc)

M  +3    -0    dolphin/src/dolphinmainwindow.cpp

http://commits.kde.org/kde-baseapps/9983598790507e2ef67eb777a529d75d00335c5f